<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:19 CEST 2020 -->
<title>Constant Field Values</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#com.myclay">com.myclay.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="com.myclay">
<!--   -->
</a>
<h2 title="com.myclay">com.myclay.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.myclay.claysdk.api.error.com.myclay.claysdk.api.error.ClayErrorMessage</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.DECRYPT_FAILED_ERROR">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#DECRYPT_FAILED_ERROR">DECRYPT_FAILED_ERROR</a></code></td>
<td class="colLast"><code>"Invalid MKEY could not be decrypted."</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.EMPTY_API_PUBLIC_KEY">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#EMPTY_API_PUBLIC_KEY">EMPTY_API_PUBLIC_KEY</a></code></td>
<td class="colLast"><code>"The API public key is empty."</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.GENERIC_ERROR">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#GENERIC_ERROR">GENERIC_ERROR</a></code></td>
<td class="colLast"><code>"A generic error occurred."</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_API_PUBLIC_KEY">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_API_PUBLIC_KEY">INVALID_API_PUBLIC_KEY</a></code></td>
<td class="colLast"><code>"The API public key is invalid."</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_BASE64_MKEY">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_BASE64_MKEY">INVALID_BASE64_MKEY</a></code></td>
<td class="colLast"><code>"Base64 encoding of MKEY is invalid."</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_MKEY_ERROR">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_MKEY_ERROR">INVALID_MKEY_ERROR</a></code></td>
<td class="colLast"><code>"Supplied MKEY is invalid."</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.INVALID_PRIVATE_KEY_ERROR">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#INVALID_PRIVATE_KEY_ERROR">INVALID_PRIVATE_KEY_ERROR</a></code></td>
<td class="colLast"><code>"Private Key is invalid."</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.PRIVATE_KEY_IS_EMPTY_ERROR">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#PRIVATE_KEY_IS_EMPTY_ERROR">PRIVATE_KEY_IS_EMPTY_ERROR</a></code></td>
<td class="colLast"><code>"Private Key is empty."</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.api.error.ClayErrorMessage.PRIVATE_KEY_IS_NULL_ERROR">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/api/error/ClayErrorMessage.html#PRIVATE_KEY_IS_NULL_ERROR">PRIVATE_KEY_IS_NULL_ERROR</a></code></td>
<td class="colLast"><code>"Private Key is null."</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal">Config</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.KEY_PK">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.html#KEY_PK">KEY_PK</a></code></td>
<td class="colLast"><code>"private_key"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.SHARED_PREFERENCES_LOCATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.html#SHARED_PREFERENCES_LOCATION">SHARED_PREFERENCES_LOCATION</a></code></td>
<td class="colLast"><code>"com.myclay.sdk.encrypted_data"</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.myclay.claysdk.internal.<a href="com/myclay/claysdk/internal/Config.Keystore.html" title="class in com.myclay.claysdk.internal">Config.Keystore</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.Keystore.ALIAS">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.Keystore.html#ALIAS">ALIAS</a></code></td>
<td class="colLast"><code>"com.myclay.sdk.privatekey"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.Keystore.ANDROID_KEY_STORE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.Keystore.html#ANDROID_KEY_STORE">ANDROID_KEY_STORE</a></code></td>
<td class="colLast"><code>"AndroidKeyStore"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.Keystore.KEY_LIFETIME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.Keystore.html#KEY_LIFETIME">KEY_LIFETIME</a></code></td>
<td class="colLast"><code>50</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.Keystore.KEYSTORE_MIN_REQUIRED_SDK">
<!--   -->
</a><code>static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.Keystore.html#KEYSTORE_MIN_REQUIRED_SDK">KEYSTORE_MIN_REQUIRED_SDK</a></code></td>
<td class="colLast"><code>19</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.Keystore.TRANSFORMATION">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.Keystore.html#TRANSFORMATION">TRANSFORMATION</a></code></td>
<td class="colLast"><code>"RSA/ECB/PKCS1Padding"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.myclay.claysdk.internal.Config.Keystore.X500_PRINCIPAL_NAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/myclay/claysdk/internal/Config.Keystore.html#X500_PRINCIPAL_NAME">X500_PRINCIPAL_NAME</a></code></td>
<td class="colLast"><code>"CN=Clay Solutions B.V., O=Android Authority, C=NL"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
